Name:		sugar-castle
Version:	23
Release:	2%{?dist}
Summary:	A game of discovery and strategy inspired by the Adventure games of the 70s

License:	GPLv3+
URL:		http://activities.sugarlabs.org/en-US/sugar/addon/4397
Source0:	http://mirror.aarnet.edu.au/pub/sugarlabs/activities/4397/castle-%{version}.xo

BuildRequires:	python sugar-toolkit gettext 
BuildArch:	noarch
Requires:	sugar 

%description
A game of discovery and strategy inspired by the Adventure games of the 70s. 

%prep
%setup -q -n Castle.activity
chmod +x Castle.py
#sed -i 's/\r//' Castle.py
sed -i -e '1i#!%{__python}' *.py
sed -i -e '1i#!%{__python}' data/*.dat

sed -i "s|\r||g" *.py
sed -i "s|\r||g" activity/activity.svg
sed -i "s|\r||g" data/*.dat

%build
%{__python} ./setup.py build

%install
rm -rf {buildroot}
%{__python} ./setup.py install --prefix=%{buildroot}/%{_prefix}

%files 
%doc MANIFEST
%{sugaractivitydir}/Castle.activity/

%changelog
* Thu Jun 06 2013 Danishka Navin <danishka@gmail.com> - 23-2
- removed sed -i -e '1i#!%{__python}' activity/activity.svg entry

* Sun Jul 15 2012 Danishka Navin <danishka@gmail.com> - 23-1
- initial packaging
* Sun Jul 15 2012 Danishka Navin <danishka@gmail.com> - 23-1
- initial packaging
